Install The 1.7.10 Pack

Step 1

Installing a modpack using the Technic Launcher is easy. If you don't already have the launcher downloaded, visit our download page to get the latest version.

Step 2

Type in the modpack name (The 1.7.10 Pack) or paste the following url into the search box.

Step 3

Finally, click Install at the bottom right of the launcher after you select The 1.7.10 Pack from the list on the left. The launcher will handle everything else!

The 1.7.10 Pack Version 0.9.8d

created by Hi it's me on Minecraft Version 1.7.10 using Technic Solder
The 1.7.10 Pack was updated to version 0.9.4 3 years ago
For anyone that wonders, *donors will get their cape automatically*, and no modpack update is required; maybe just a simple client re-launch to pull the refreshed API :)
Hi it's me 3 years ago
The 1.7.10 Pack was updated to version 0.9.3 3 years ago
Would you want us to update to Magical Crops 4 in the next modpack update although the consequences? This means all blocks/items in old worlds from Magical Crops 3 disappear. Vote your opinion here: http://www.strawpoll.me/11059760
Hi it's me 3 years ago
The 1.7.10 Pack was updated to version 0.9.2 3 years ago
Thanks to Novamange the modpack's Sphax patch has been updated to match all the mods of v0.9.1! Grab it while it's hot here: bit.ly/The-1-7-10-Pack-Sphax
Hi it's me 3 years ago
The 1.7.10 Pack was updated to version 0.9.1 3 years ago
The 1.7.10 Pack was updated to version 0.9.0 3 years ago
What mods should be added in the next version? Tell us: http://www.strawpoll.me/10533473
Hi it's me 3 years ago
The 1.7.10 Pack was updated to version 0.8.5 4 years ago
The 1.7.10 Pack was updated to version 0.8.4af 4 years ago
Who would believe that we will reach the goal of 300,000 downloads (plus 2M runs and 2K likes). Thank you everyone, both players and donators, that help supporting the modpack's development - you make it what it is!
Hi it's me 4 years ago
FYI: Due to the last reports of long server startups with different panels, we've re-uploaded the server package for v0.8.4 to include the required libs (INpureCore) in it.
Hi it's me 4 years ago
Pushed v0.8.4 to recommended!
Hi it's me 4 years ago
The 1.7.10 Pack was updated to version 0.8.4 4 years ago
The 1.7.10 Pack was updated to version 0.8.4 4 years ago
The 1.7.10 Pack was updated to version 0.8.3 4 years ago
The 1.7.10 Pack was updated to version 0.8.2 4 years ago
Do you want the modpack to update all the mods and remove Binnie's Mods, or you want to wait until Binnie's Mods updates? You decide. Please vote your opinion: http://strawpoll.me/6112641
Hi it's me 4 years ago
Unfortunately due to Binnie's Mods not being updated to Forestry 4 we can't update the modpack currently. When the mod will update, expect the modpack to update.
Hi it's me 4 years ago

Latest Update

The 1.12.2 Pack is officially released! After several months of research, development and testing, we're exited to say the sequel is now available through http://bit.ly/The-1-12-2-Pack-Technic-Download. Players of The 1.7.10 Pack, welcome to the new home!